$(document).ready(function(){
    $('.add_bloc').click(function(){

        $('#offcanvasExample').offcanvas('show');
    });

    $("#BlockContent li").click(function() {
        $("#BlockContent li").removeClass('active');
        $(this).addClass('active');
    });

    $("#WidgetContent li").click(function() {
        $("#WidgetContent li").removeClass('active');
        $(this).addClass('active');
    });

    
    $("#model_service li").click(function() {
        $("#model_service li").removeClass('active');
        $(this).addClass('active');
    });


    $("#builder-forms li").click(function() {
        $("#builder-forms li").removeClass('active');
        $(this).addClass('active');
    });

    $("#media-galleries li").click(function() {
        $("#media-galleries li").removeClass('active');
        $(this).addClass('active');
    });

    
    $("#widget li").click(function() {
        $("#widget li").removeClass('active');
        $(this).addClass('active');
    });

    $("#sortable").sortable({
        connectWith: '.sortable',
        vertical: true,
        update: function(event, ui) {
            var order = $("#sortable").sortable("toArray");
            $.ajax({
                url: "/console/categorie/order-bloc",
                type: "POST",
                data: {bloc_order:order.join(",")},
                success:function(data){
                    showAlertMessage('success','La position de bloc a été changée avec succès!');
                }
            });
        }
    });

    $('.btn-etat-bloc').click(function () { 
        var element = $(this);
        var id = $(this).attr('data-id');
        $.ajax({
            url: "/console/categorie-bloc/change_etat",
            type: "POST",
            data: {id:id},
            success:function(data){
                showAlertMessage('success','L\'etat de bloc a été changée avec succès!');
                if (element.parent().parent().find('.collapsed .badge').hasClass('badge-success')) {
                    element.parent().parent().find('.collapsed .badge').removeClass('badge-success');
                    element.parent().parent().find('.collapsed .badge').addClass('badge-danger');
                    element.parent().parent().find('.collapsed .badge').text('désactive');
                }else{
                    element.parent().parent().find('.collapsed .badge').removeClass('badge-danger');
                    element.parent().parent().find('.collapsed .badge').addClass('badge-success');
                    element.parent().parent().find('.collapsed .badge').text('activé');
                }
        
                if(element.parent().parent().find('.btn-etat-bloc i').hasClass('fa-eye-slash')){
                    element.parent().parent().find('.btn-etat-bloc i').removeClass('fa-eye-slash');
                    element.parent().parent().find('.btn-etat-bloc i').addClass('fa-eye');
                }else{
                    element.parent().parent().find('.btn-etat-bloc i').removeClass('fa-eye');
                    element.parent().parent().find('.btn-etat-bloc i').addClass('fa-eye-slash');
                }
            }
        });
     });
});


function RemoveBloc(index,idBloc = null){
    $confirm = $('#modal-delete');
    if ($confirm.data('result') !== 'yes') {
    event.preventDefault();
    $confirm
        .off('click', '#btnYes')
        .on('click', '#btnYes', function () {
            $.ajax({
                url: "/console/categorie/remove-bloc",
                type: "POST",
                data: {Idbloc:idBloc},
                success:function(data){
                    showAlertMessage('success','Votre bloc a été supprimé avec succès!');
                    $('.del-bloc'+index).remove();
                }
            });
        })
        .modal('show');
    }
}

function ChoiceField(type) {  
    $('#offcanvasExample').offcanvas('hide');
    

    if (type == 'texte') {
        var $modal = $('#modal-add-bloc-text');
        $('#modal-add-bloc-text').modal('show');
    } 

    if (type == 'link') {
        var $modal = $('#modal-add-bloc-lien');
        $('#modal-add-bloc-lien').modal('show');
    } 

    if (type == 'image') {
        var $modal = $('#modal-add-bloc-image');
        $('#modal-add-bloc-image').modal('show');
    } 

    if (type == 'editeur') {
        var $modal = $('#modal-add-bloc-editeur');
        $('#modal-add-bloc-editeur').modal('show');
    } 

    if (type == 'video') {
        var $modal = $('#modal-add-bloc-video');
        $('#modal-add-bloc-video').modal('show');
    } 

    if (type == 'editeur2') {
        var $modal = $('#modal-add-bloc-text-image');
        $('#modal-add-bloc-text-image').modal('show');
    }

    if (type == 'forms') {
        var $modal = $('#modal-add-bloc-form');
        $('#modal-add-bloc-form').modal('show');
    }

    if (type == 'widget') {
        var $modal = $('#modal-add-bloc-widget');
        $('#modal-add-bloc-widget').modal('show');
    }

    if (type == 'media') {
        var $modal = $('#modal-add-bloc-gallery');
        $('#modal-add-bloc-gallery').modal('show');
    }
    
    if (type == 'text_maps') {
        var $modal = $('#modal-add-bloc-text-maps');
        $('#modal-add-bloc-text-maps').modal('show');
    }

    if (type == 'service') {
        var $modal = $('#modal-add-bloc-services');
        $('#modal-add-bloc-services').modal('show');
    }

    if (type == 'partenaire') {
        var $modal = $('#modal-add-bloc-partenaire');
        $('#modal-add-bloc-partenaire').modal('show');
    }
    
    if ($modal.data('result') !== 'yes') {
        event.preventDefault();
        $modal
            .off('click', '#btnYes')
            .on('click', '#btnYes', function () {
                    var NbBloc = $(".list-bloc").attr('data-nb-bloc');
                    var id_categorie = $('#IdCategorie').val();
                    var type =  $modal.find('input[name="type_bloc"]').val();
                    var index = parseInt(NbBloc) + 1;

                    // bloc Texte
                    if (type == '1') {
                        var titre =  $modal.find('input[name="titre"]').val();
                        var contenu =  $modal.find('textarea[name="editeur"]').val();
                        var titre_lien = $modal.find('input[name="titre_lien_bloc"]').val();
                        var type_lien = $modal.find('input[name="type_lien_bloc"]:checked').val();
                        var lien_interne_bloc = $modal.find('select[name="lien_interne_bloc"]').val();
                        var lien_externe_bloc = $modal.find('input[name="lien_externe_bloc"]').val();
                        var telephone_bloc = $modal.find('input[name="telephone_bloc"]').val();
                        var bg_color = $modal.find('input[name="bg_color"]').val();

                        if (titre == '' || contenu == '') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,
                                             type_bloc:type,titre: titre,contenu:contenu,
                                             titre_lien:titre_lien,
                                             type_lien:type_lien,
                                             lien_interne_bloc:lien_interne_bloc,
                                             lien_externe_bloc:lien_externe_bloc,
                                             telephone_bloc:telephone_bloc,
                                             bg_color:bg_color
                                           };
                        }
                    }

                    // bloc Lien
                    if (type == '2') {
                        var titre =  $modal.find('input[name="titre"]').val();
                        var link =  $modal.find('input[name="link"]').val();

                        if (titre =='' || link =='') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,
                                             type_bloc:type,titre: titre,link:link};
                        }
                    }

                    // bloc image
                    if (type == '3') {
                        var titre =  $modal.find('input[name="titre"]').val();
                        var image =  $modal.find('input[name="image"]').val();

                        if (titre =='' || image =='') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,
                                             type_bloc:type,titre: titre,image:image};
                        }
                    }

                    // bloc image
                    if (type == '4') {
                        var contenu =  $modal.find('textarea[name="editeur"]').val();

                        if (contenu =='') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,
                                             type_bloc:type,contenu:contenu};
                        }
                    }

                    // bloc video
                    if (type == '9') {
                        var lien_video =  $modal.find('input[name="bloc_video_url"]').val();

                        if (lien_video =='') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,
                                             type_bloc:type,video:lien_video};
                        }
                    }

                    // bloc texte + image
                    if (type == '10') {
                        var titre_editeur =  $modal.find('input[name="titre"]').val();
                        var contenu_editeur =  $modal.find('.editeur3_contentBloc').val();
                        var position_editeur =  $modal.find('.editeur3_position option:selected').val();
                        var image_editeur =  $modal.find('input[name="editeur3_image"]').val();
                        var video_editeur =  $modal.find('input[name="editeur3_video_url"]').val();
                        var grid_image =  $modal.find('#editeur3 .grid_image option:selected').val();

                        if (titre =='' || contenu =='') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,
                                             type_bloc:type,titre_editeur:titre_editeur,contenu_editeur:contenu_editeur,
                                             position_editeur:position_editeur,image_editeur:image_editeur,video_editeur:video_editeur,
                                             grid_image:grid_image
                                           };
                        }
                    }

                    // bloc form
                    if(type == '6'){
                        var widget =  $modal.find('#builder-forms .active input[name="moduleId"]').val();
                        if (widget == undefined) {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,type_bloc:type,
                                             widget:widget
                                           };
                        }
                    }

                    // bloc widget
                    if(type == '8'){
                        var widget =  $modal.find('#model_widget .active input[name="moduleId"]').val();
                        if (widget == undefined) {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,type_bloc:type,
                                             widget:widget
                                           };
                        }
                    }

                    // bloc media
                    if(type == '5'){
                        var widget =  $modal.find('#media-galleries .active input[name="moduleId"]').val();
                        if (widget == undefined) {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,type_bloc:type,
                                             widget:widget
                                           };
                        }
                    }
            
                    // bloc Texte + maps
                    if (type == '11') {
                        var titre =  $modal.find('input[name="titre"]').val();
                        var contenu =  $modal.find('textarea[name="editeur"]').val();

                        if (titre == '' || contenu == '') {
                            showAlertMessage('error','Veuillez remplir le champ obligatoire!');
                            return false;
                        }else{
                            var formData = { position:index,id_categorie:id_categorie,type_bloc:type,titre: titre,contenu:contenu};
                        }
                    }

                    // bloc service
                    if(type == '11'){
                        var bloc_service =  $modal.find('#model_service .active input[name="moduleId"]').val();
                        if (bloc_service == undefined) {
                            showAlertMessage('error','veuillez choisir un bloc!');
                            return false;
                        }else{
                            var formData = { position:index,
                                             id_categorie:id_categorie,
                                             type_bloc:type,
                                             id_bloc_service:bloc_service
                                            };
                        }
                    }

                    // bloc partenaire
                    if(type == '12'){
                        var formData = { 
                            position:index,
                            id_categorie:id_categorie,
                            type_bloc:type,
                        };
                    }

                    $.ajax({
                        url: "/console/categorie/add-bloc",
                        type: "POST",
                        data: formData,
                        success:function(data){
                          location.reload();
                        }
                    });
            });
    }
}